Heads up, our devs are blazing ahead—docs are catching up, so some features might not be fully documented yet.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Properties

Properties

List properties

get
/tenants/{tenantUid}/properties

List all properties.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUM Description
ASC Sort in ascending order
DESC Sort in descending order
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/properties
GET /v2/tenants/{tenantUid}/properties HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "propertyName": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "propertyUid": "text",
      "type": "TEXT",
      "externalId": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Create a new property

post
/tenants/{tenantUid}/properties

Create a new property.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body

A product property that extends the product with new data. It comes in three data types; TEXT, LIST or CHECKLIST.

propertyNamestringRequired
typestring · enumRequired

Describes the type of property a product can have.

ENUM Description
TEXT A single text line such as an URL to a product manual or a reminder to the cashier/salesperson.
SINGLESELECT A list of values where a product can only have one at any given time.
MULTISELECT A list of values where a product can have none or several at any given time.
Possible values:
externalIdstringOptional
propertyUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json

A product property that extends the product with new data. It comes in three data types; TEXT, LIST or CHECKLIST.

createdAtstring · date-timeRequired
propertyNamestringRequired
lastModifiedAtstring · date-timeRequired
propertyUidstringRequiredPattern: ^[A-Za-z0-9-_]+
typestring · enumRequired

Describes the type of property a product can have.

ENUM Description
TEXT A single text line such as an URL to a product manual or a reminder to the cashier/salesperson.
SINGLESELECT A list of values where a product can only have one at any given time.
MULTISELECT A list of values where a product can have none or several at any given time.
Possible values:
externalIdstringOptional
post/tenants/{tenantUid}/properties
POST /v2/tenants/{tenantUid}/properties HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 78

{
  "propertyName": "text",
  "type": "TEXT",
  "externalId": "text",
  "propertyUid": "text"
}
200

Example response

{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "propertyName": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "propertyUid": "text",
  "type": "TEXT",
  "externalId": "text"
}

Search for properties

post
/tenants/{tenantUid}/properties/search

Searches for properties based on criteria set in the request body.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUM Description
ASC Sort in ascending order
DESC Sort in descending order
Possible values:
Body
propertyNamestringOptional
typestring · enumOptional

Describes the type of property a product can have.

ENUM Description
TEXT A single text line such as an URL to a product manual or a reminder to the cashier/salesperson.
SINGLESELECT A list of values where a product can only have one at any given time.
MULTISELECT A list of values where a product can have none or several at any given time.
Possible values:
externalIdstringOptional
Responses
200

Example response

application/json
post/tenants/{tenantUid}/properties/search
POST /v2/tenants/{tenantUid}/properties/search HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 57

{
  "propertyName": "text",
  "type": "TEXT",
  "externalId": "text"
}
200

Example response

{
  "items": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "propertyName": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "propertyUid": "text",
      "type": "TEXT",
      "externalId": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Get property details

get
/tenants/{tenantUid}/properties/{propertyUid}

Gets the details for this property.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
propertyUidstringRequired

Reference to a product property definition

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json

A product property that extends the product with new data. It comes in three data types; TEXT, LIST or CHECKLIST.

createdAtstring · date-timeRequired
propertyNamestringRequired
lastModifiedAtstring · date-timeRequired
propertyUidstringRequiredPattern: ^[A-Za-z0-9-_]+
typestring · enumRequired

Describes the type of property a product can have.

ENUM Description
TEXT A single text line such as an URL to a product manual or a reminder to the cashier/salesperson.
SINGLESELECT A list of values where a product can only have one at any given time.
MULTISELECT A list of values where a product can have none or several at any given time.
Possible values:
externalIdstringOptional
get/tenants/{tenantUid}/properties/{propertyUid}
GET /v2/tenants/{tenantUid}/properties/{propertyUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "propertyName": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "propertyUid": "text",
  "type": "TEXT",
  "externalId": "text"
}

Update property details

put
/tenants/{tenantUid}/properties/{propertyUid}

Updates the details for this property.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
propertyUidstringRequired

Reference to a product property definition

Pattern: ^[A-Za-z0-9-_]+
Body

Update name and externalId for a property

propertyNamestringOptional
externalIdstringOptional
Responses
200

Example response

application/json

A product property that extends the product with new data. It comes in three data types; TEXT, LIST or CHECKLIST.

createdAtstring · date-timeRequired
propertyNamestringRequired
lastModifiedAtstring · date-timeRequired
propertyUidstringRequiredPattern: ^[A-Za-z0-9-_]+
typestring · enumRequired

Describes the type of property a product can have.

ENUM Description
TEXT A single text line such as an URL to a product manual or a reminder to the cashier/salesperson.
SINGLESELECT A list of values where a product can only have one at any given time.
MULTISELECT A list of values where a product can have none or several at any given time.
Possible values:
externalIdstringOptional
put/tenants/{tenantUid}/properties/{propertyUid}
PUT /v2/tenants/{tenantUid}/properties/{propertyUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 43

{
  "propertyName": "text",
  "externalId": "text"
}
200

Example response

{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "propertyName": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "propertyUid": "text",
  "type": "TEXT",
  "externalId": "text"
}

Delete a property

delete
/tenants/{tenantUid}/properties/{propertyUid}

Deletes a property.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
propertyUidstringRequired

Reference to a product property definition

Pattern: ^[A-Za-z0-9-_]+
Responses
204

No Content

No content

delete/tenants/{tenantUid}/properties/{propertyUid}
DELETE /v2/tenants/{tenantUid}/properties/{propertyUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

No Content

No content

List property options

get
/tenants/{tenantUid}/properties/{propertyUid}/options

List all options available on this property.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
propertyUidstringRequired

Reference to a product property definition

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUM Description
ASC Sort in ascending order
DESC Sort in descending order
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/properties/{propertyUid}/options
GET /v2/tenants/{tenantUid}/properties/{propertyUid}/options HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "propertyUid": "text",
      "propertyName": "text",
      "propertyOptionUid": "text",
      "propertyOptionName": "text",
      "externalId": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Create a new property option

post
/tenants/{tenantUid}/properties/{propertyUid}/options

Create a new option for this property.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
propertyUidstringRequired

Reference to a product property definition

Pattern: ^[A-Za-z0-9-_]+
Body

An pre-defined, allowed value for a list or checklist property.

propertyOptionNamestringRequired
externalIdstringOptional
propertyOptionUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json

An pre-defined, allowed value for a list or checklist property.

createdAtstring · date-timeRequired
lastModifiedAtstring · date-timeRequired
propertyUidstringRequiredPattern: ^[A-Za-z0-9-_]+
propertyNamestringRequired
propertyOptionUidstringRequiredPattern: ^[A-Za-z0-9-_]+
propertyOptionNamestringRequired
externalIdstringRequired
post/tenants/{tenantUid}/properties/{propertyUid}/options
POST /v2/tenants/{tenantUid}/properties/{propertyUid}/options HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 76

{
  "propertyOptionName": "text",
  "externalId": "text",
  "propertyOptionUid": "text"
}
200

Example response

{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "propertyUid": "text",
  "propertyName": "text",
  "propertyOptionUid": "text",
  "propertyOptionName": "text",
  "externalId": "text"
}

Get property option details

get
/tenants/{tenantUid}/properties/{propertyUid}/options/{propertyOptionUid}

Get details for the property option.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
propertyUidstringRequired

Reference to a product property definition

Pattern: ^[A-Za-z0-9-_]+
propertyOptionUidstringRequired

Reference to an allowed option of a product property definition

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json

An pre-defined, allowed value for a list or checklist property.

createdAtstring · date-timeRequired
lastModifiedAtstring · date-timeRequired
propertyUidstringRequiredPattern: ^[A-Za-z0-9-_]+
propertyNamestringRequired
propertyOptionUidstringRequiredPattern: ^[A-Za-z0-9-_]+
propertyOptionNamestringRequired
externalIdstringRequired
get/tenants/{tenantUid}/properties/{propertyUid}/options/{propertyOptionUid}
GET /v2/tenants/{tenantUid}/properties/{propertyUid}/options/{propertyOptionUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "propertyUid": "text",
  "propertyName": "text",
  "propertyOptionUid": "text",
  "propertyOptionName": "text",
  "externalId": "text"
}

Update property option details

put
/tenants/{tenantUid}/properties/{propertyUid}/options/{propertyOptionUid}

Update details of the property option.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
propertyUidstringRequired

Reference to a product property definition

Pattern: ^[A-Za-z0-9-_]+
propertyOptionUidstringRequired

Reference to an allowed option of a product property definition

Pattern: ^[A-Za-z0-9-_]+
Body

An pre-defined, allowed value for a list or checklist property.

propertyOptionNamestringRequired
externalIdstringOptional
Responses
200

Example response

application/json

An pre-defined, allowed value for a list or checklist property.

createdAtstring · date-timeRequired
lastModifiedAtstring · date-timeRequired
propertyUidstringRequiredPattern: ^[A-Za-z0-9-_]+
propertyNamestringRequired
propertyOptionUidstringRequiredPattern: ^[A-Za-z0-9-_]+
propertyOptionNamestringRequired
externalIdstringRequired
put/tenants/{tenantUid}/properties/{propertyUid}/options/{propertyOptionUid}
PUT /v2/tenants/{tenantUid}/properties/{propertyUid}/options/{propertyOptionUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 49

{
  "propertyOptionName": "text",
  "externalId": "text"
}
200

Example response

{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "propertyUid": "text",
  "propertyName": "text",
  "propertyOptionUid": "text",
  "propertyOptionName": "text",
  "externalId": "text"
}

Delete a property option

delete
/tenants/{tenantUid}/properties/{propertyUid}/options/{propertyOptionUid}

Delete a property option.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
propertyUidstringRequired

Reference to a product property definition

Pattern: ^[A-Za-z0-9-_]+
propertyOptionUidstringRequired

Reference to an allowed option of a product property definition

Pattern: ^[A-Za-z0-9-_]+
Responses
204

No Content

No content

delete/tenants/{tenantUid}/properties/{propertyUid}/options/{propertyOptionUid}
DELETE /v2/tenants/{tenantUid}/properties/{propertyUid}/options/{propertyOptionUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

No Content

No content

Last updated

Was this helpful?